|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectwicket.protocol.http.portlet.PortletRequestCodingStrategy
public class PortletRequestCodingStrategy
Request coding strategy implementation that uses PortletURL object to create links. Also stores response/render parameters as portlet render parameters.
| Field Summary | |
|---|---|
static java.lang.String |
BEHAVIOR_ID_PARAMETER_NAME
AJAX query parameter name |
static java.lang.String |
COMPONENT_PATH_PARAMETER_NAME
Name of component path query parameter |
static java.lang.String |
INTERFACE_PARAMETER_NAME
Name of interface target query parameter |
static java.lang.String |
NAME_SPACE
Name of interface target query parameter |
static java.lang.String |
PAGEMAP
Pagemap parameter constant |
static java.lang.String |
RESOURCES_PARAMETER_NAME
Resource key parameter name |
static java.lang.String |
VERSION_PARAMETER_NAME
Name of version number query parameter |
| Constructor Summary | |
|---|---|
PortletRequestCodingStrategy()
Construct. |
|
| Method Summary | |
|---|---|
protected void |
addBookmarkablePageParameters(Request request,
RequestParameters parameters)
Adds bookmarkable page related parameters (page alias and optionally page parameters). |
protected void |
addInterfaceParameters(Request request,
RequestParameters parameters)
Adds page related parameters (path and pagemap and optionally version and interface). |
protected void |
addResourceParameters(Request request,
RequestParameters parameters)
Adds (shared) resource related parameters (resource key). |
RequestParameters |
decode(Request request)
Analyze the request and create a corresponding request parameters object for it. |
protected java.lang.String |
doEncode(RequestCycle requestCycle,
IRequestTarget requestTarget)
In case you are using custom targets that are not part of the default target hierarchy, you need to override this method, which will be called after the defaults have been tried. |
java.lang.CharSequence |
encode(RequestCycle requestCycle,
IRequestTarget requestTarget)
Encode the given request target and one of the delegation methods will be called. |
protected java.lang.CharSequence |
encodeRequest(RequestCycle requestCycle,
IBookmarkablePageRequestTarget requestTarget)
Encode a page class target. |
protected java.lang.CharSequence |
encodeRequest(RequestCycle requestCycle,
IListenerInterfaceRequestTarget requestTarget)
Encode a listener interface target. |
protected java.lang.CharSequence |
encodeRequest(RequestCycle requestCycle,
IPageRequestTarget requestTarget)
Encode a page target. |
protected java.lang.CharSequence |
encodeRequest(RequestCycle requestCycle,
ISharedResourceRequestTarget requestTarget)
Encode a shared resource target. |
protected java.lang.CharSequence |
encodeServletRequest(RequestCycle requestCycle,
IListenerInterfaceRequestTarget requestTarget)
Encode a listener interface target. |
void |
mount(java.lang.String path,
IRequestTargetUrlCodingStrategy urlCodingStrategy)
Mounts a request target with the given path. |
java.lang.CharSequence |
pathForTarget(IRequestTarget requestTarget)
Gets the url that the provided request target conforms to. |
void |
setRenderParameters(PortletRequestCycle requestCycle,
IRequestTarget requestTarget)
|
IRequestTarget |
targetForRequest(RequestParameters requestParameters)
Gets the request target that conforms to the given request parameters. |
void |
unmount(java.lang.String path)
Unmounts a request target. |
IRequestTargetUrlCodingStrategy |
urlCodingStrategyForPath(java.lang.String path)
Gets the encoder that was mounted on the provided path if any. |
protected java.lang.CharSequence |
urlPrefix(RequestCycle requestCycle)
Gets prefix. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final java.lang.String NAME_SPACE
public static final java.lang.String INTERFACE_PARAMETER_NAME
public static final java.lang.String VERSION_PARAMETER_NAME
public static final java.lang.String COMPONENT_PATH_PARAMETER_NAME
public static final java.lang.String BEHAVIOR_ID_PARAMETER_NAME
public static final java.lang.String RESOURCES_PARAMETER_NAME
public static final java.lang.String PAGEMAP
| Constructor Detail |
|---|
public PortletRequestCodingStrategy()
| Method Detail |
|---|
public final RequestParameters decode(Request request)
IRequestCodingStrategy
decode in interface IRequestCodingStrategyrequest - the incoming request
IRequestCodingStrategy.decode(wicket.Request)
public final java.lang.CharSequence encode(RequestCycle requestCycle,
IRequestTarget requestTarget)
doEncode(RequestCycle, IRequestTarget), which will be called
after the defaults have been tried. When that doesn't provide a url
either, and exception will be thrown saying that encoding could not be
done.
encode in interface IRequestCodingStrategyrequestCycle - the current request cycle (for efficient access)requestTarget - the request target
IRequestCodingStrategy.encode(wicket.RequestCycle,
wicket.IRequestTarget)
protected void addBookmarkablePageParameters(Request request,
RequestParameters parameters)
#encode(RequestCycle, IBookmarkablePageRequestTarget) should be
overridden to by in sync with that behaviour.
request - the incoming requestparameters - the parameters object to set the found values on
protected void addInterfaceParameters(Request request,
RequestParameters parameters)
#encode(RequestCycle, IListenerInterfaceRequestTarget) should be
overridden to by in sync with that behaviour.
request - the incoming requestparameters - the parameters object to set the found values on
protected void addResourceParameters(Request request,
RequestParameters parameters)
#encode(RequestCycle, ISharedResourceRequestTarget) should be
overridden to by in sync with that behaviour.
request - the incomming requestparameters - the parameters object to set the found values on
protected java.lang.String doEncode(RequestCycle requestCycle,
IRequestTarget requestTarget)
requestCycle - the current request cycle (for efficient access)requestTarget - the request target
protected java.lang.CharSequence encodeRequest(RequestCycle requestCycle,
ISharedResourceRequestTarget requestTarget)
addResourceParameters(Request, RequestParameters) should be
overridden to by in sync with that behaviour.
requestCycle - the current request cyclerequestTarget - the target to encode
protected java.lang.CharSequence encodeRequest(RequestCycle requestCycle,
IListenerInterfaceRequestTarget requestTarget)
addInterfaceParameters(Request, RequestParameters) should be
overridden to by in sync with that behaviour.
requestCycle - the current request cyclerequestTarget - the target to encode
protected java.lang.CharSequence encodeServletRequest(RequestCycle requestCycle,
IListenerInterfaceRequestTarget requestTarget)
addInterfaceParameters(Request, RequestParameters) should be
overridden to by in sync with that behaviour.
requestCycle - the current request cyclerequestTarget - the target to encode
protected java.lang.CharSequence encodeRequest(RequestCycle requestCycle,
IBookmarkablePageRequestTarget requestTarget)
addBookmarkablePageParameters(Request, RequestParameters) should
be overridden to by in sync with that behaviour.
requestCycle - the current request cyclerequestTarget - the target to encode
protected java.lang.CharSequence encodeRequest(RequestCycle requestCycle,
IPageRequestTarget requestTarget)
requestCycle - the current request cyclerequestTarget - the target to encode
public void setRenderParameters(PortletRequestCycle requestCycle,
IRequestTarget requestTarget)
requestCycle - requestTarget - public java.lang.CharSequence pathForTarget(IRequestTarget requestTarget)
IRequestTargetMounter
pathForTarget in interface IRequestTargetMounterrequestTarget - the request target
public final IRequestTargetUrlCodingStrategy urlCodingStrategyForPath(java.lang.String path)
IRequestTargetMounter
urlCodingStrategyForPath in interface IRequestTargetMounterpath - the path
IRequestTargetMounter.urlCodingStrategyForPath(java.lang.String)
public void mount(java.lang.String path,
IRequestTargetUrlCodingStrategy urlCodingStrategy)
IRequestTargetMounter
mount in interface IRequestTargetMounterpath - the path to mount the request target withurlCodingStrategy - The strategy to use for encoding and decoding urlspublic void unmount(java.lang.String path)
IRequestTargetMounter
unmount in interface IRequestTargetMounterpath - the path to unmountpublic final IRequestTarget targetForRequest(RequestParameters requestParameters)
IRequestTargetMounter
targetForRequest in interface IRequestTargetMounterrequestParameters - the request parameters
IRequestTargetMounter.targetForRequest(wicket.request.RequestParameters)protected final java.lang.CharSequence urlPrefix(RequestCycle requestCycle)
requestCycle - the request cycle
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||